Subject: [TR] ref: Stag fuse box

From: Q <[email-masked]>
Date: Tue, 2 Feb 2021 12:36:45 -0800

I replaced mine years ago.  Not that difficult but you do have to work 
under the dash and I think that the glove box liner has to come out.  If 
you are installing a used one make sure that you tighten the rivets that 
hold the use holders in place.  Over the years the plastic shrinks which 
causes then to be loose which makes for intermittent electrical connections.

Edward Hamer

Petaluma CA

** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]